[platformio]
src_dir = ./
include_dir = ./

[common_env_data]
src_filter = +<*> -<.git/> -<svn/> -<example/> -<examples/> -<test/> -<tests/> -<build/> -<*.spec.*> -<**/*.spec.*>
lib_extra_dirs = ../../utils/arduino
lib_ignore = mock
lib_deps = Hub, Wire

[env:uno]
platform = atmelavr
board = uno
framework = arduino
src_filter = ${common_env_data.src_filter}
lib_extra_dirs = ${common_env_data.lib_extra_dirs}
lib_ignore = ${common_env_data.lib_ignore}
lib_deps = ${common_env_data.lib_deps}

[env:due]
platform = atmelsam
board = due
framework = arduino
src_filter = ${common_env_data.src_filter}
lib_extra_dirs = ${common_env_data.lib_extra_dirs}
lib_ignore = ${common_env_data.lib_ignore}
lib_deps = ${common_env_data.lib_deps}, 883

[env:teensy31]
platform = teensy
board = teensy31
framework = arduino
src_filter = ${common_env_data.src_filter}
build_flags = -DTEENSY
lib_extra_dirs = ${common_env_data.lib_extra_dirs}
lib_ignore = ${common_env_data.lib_ignore}
lib_deps = ${common_env_data.lib_deps}
